%define upstream_name    Math-BigInt
%define upstream_version 1.999808

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Arbitrary size integer/float math package
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Math::Complex) >= 1.390.0
BuildRequires: perl(Test::More) >= 0.930.100
BuildArch:  noarch

%description
All operators (including basic math operations) are overloaded if you declare
your big integers as

  $i = new Math::BigInt '123_456_789_123_456_789';

Operations with overloaded operators preserve the arguments which is exactly
what you expect.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc BUGS CHANGES CREDITS GOALS HISTORY LICENSE META.json META.yml MYMETA.yml NEW README SIGNATURE TODO examples
%{perl_vendorlib}/Math
%{_mandir}/*/*


%changelog
* Sat Feb 04 2017 shlomif <shlomif> 1.999.808-1.mga6
+ Revision: 1084832
- New version + rebuild for new perl

* Sun Jun 19 2016 pterjan <pterjan> 1.999.722-3.mga6
+ Revision: 1029556
- Rebuild for perl 5.22.2

* Sat Jun 18 2016 pterjan <pterjan> 1.999.722-2.mga6
+ Revision: 1022070
- Rebuild in the hope it fixes Math::BigInt::GMP tests.
  They work fine if I rebuild this package (on i586 or x86_64) on my machine.

* Fri Apr 29 2016 shlomif <shlomif> 1.999.722-1.mga6
+ Revision: 1007962
- update to 1.999722

* Fri Apr 15 2016 shlomif <shlomif> 1.999.716-1.mga6
+ Revision: 1002136
- update to 1.999716

* Fri Dec 18 2015 shlomif <shlomif> 1.999.710-1.mga6
+ Revision: 911738
- New version 1.999710

* Mon Sep 28 2015 sander85 <sander85> 1.999.704-1.mga6
+ Revision: 884671
- update to 1.999704

* Thu Aug 13 2015 sander85 <sander85> 1.999.700-1.mga6
+ Revision: 864394
- update to 1.9997

* Wed Oct 15 2014 umeabot <umeabot> 1.999.300-4.mga5
+ Revision: 749133
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.999.300-3.mga5
+ Revision: 685347
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 1.999.300-2.mga5
+ Revision: 634032
- perl 5.20 rebuild

* Mon Apr 07 2014 jquelin <jquelin> 1.999.300-1.mga5
+ Revision: 612535
- update to 1.9993

* Fri Oct 18 2013 umeabot <umeabot> 1.997.0-4.mga4
+ Revision: 512827
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.997.0-3.mga3
+ Revision: 369549
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 jquelin <jquelin> 1.997.0-2.mga2
+ Revision: 162815
- take priority over module bundled with perl 5.14.2

* Mon Sep 26 2011 jquelin <jquelin> 1.997.0-1.mga2
+ Revision: 148131
- update to 1.997

* Mon Feb 28 2011 jquelin <jquelin> 1.993.0-1.mga1
+ Revision: 61432
- update to 1.993

* Sat Feb 26 2011 jquelin <jquelin> 1.992.0-1.mga1
+ Revision: 60684
- update to 1.992

* Fri Feb 18 2011 jquelin <jquelin> 1.991.0-1.mga1
+ Revision: 53696
- update to 1.991

* Tue Jan 18 2011 jquelin <jquelin> 1.990.0-1.mga1
+ Revision: 22654
- cleaning spec file
- imported package perl-Math-BigInt

